> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export to CSV Tenant IPv4 Services

> Export to CSV Tenant IPv4 Services



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/ipv4/csv
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/ipv4/csv:
    get:
      tags:
        - Market
      summary: Export to CSV Tenant IPv4 Services
      description: Export to CSV Tenant IPv4 Services
      operationId: API-Pub-IPMarket-IPv4-Services-CSV
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: uuid
          in: query
          description: Filter By IPv4 Service UUID
          schema:
            type: string
        - name: address
          in: query
          description: Filter By IPv4 Service Address
          schema:
            type: string
            format: ipv4
        - name: cidr
          in: query
          description: Filter by IPv4 Service CIDR
          schema:
            type: integer
        - name: registry
          in: query
          description: Filter by IPv4 Service Registry
          schema:
            enum:
              - ripencc
              - arin
            type: string
        - name: sort
          in: query
          description: Sort By Key
          schema:
            type: string
            description: |-
              Expects the value to be list of keys sepparated by commas.
                  Default sort direction for each individual key is ASCENDING, but prefix '-' can be set for each individual key to indicate DESCENDING direction.
                  Valid keys are: [address,cidr,market_service_expiration_date,recurring_amount,billing_cycle,start_date,next_due_date].
                  Example: '-cidr,address' - will sort descendingly by <cidr> first and then by <address> for services with same <cidr>
        - name: page
          in: query
          description: List Page
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: Items Per Page
          schema:
            type: integer
            default: 15
      responses:
        '200':
          description: IPv4 Services Collection
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````